Skip to main content
`Ctrl`+`K`

# PetscFunctionReturnVoid

Like `PetscFunctionReturn()` but returns `void`

## Synopsis

    #include <petscsys.h>
    void PetscFunctionReturnVoid()

Not Collective

## Note

Behaves identically to `PetscFunctionReturn()` except that it returns `void`. That is, this macro culminates with `return`.

## Example Usage

      void foo()
      {
        PetscFunctionBegin; // must start with PetscFunctionBegin!
        bar();
        baz();
        PetscFunctionReturnVoid();
      }

## See Also

`PetscFunctionReturn()`, `PetscFunctionBegin`, PetscFunctionBeginUser`

## Level

beginner

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages